Käyttäjäopas

# Hakemisto

Attribuutit ja Kyselyt ovat Haikun avainominaisuuksia. Kun attribuutit ovat hyödyllisiä sellaisenaan, lisätietojen näyttämiseksi tiedostosta, niiden kyselemiseksi attribuutit on indeksoitava. Se laittaa ne hakutauluun, joka vuorostaan tekee kyselyt salamannopeiksi.
Indeksi on tiedostojärjestelmän osa ja se pidetään jokaisella taltiolla tai osiolla erikseen.

## Indeksointikomennot Pääteikkunassa

Indeksin käsittelemiseen on useita komentoja:

- lsindex - Näyttää indeksoidut attribuutit nykyiseltä taltiolta/osiolta.
  Nämä ovat oletuksena indeksoidut attribuutit:

     ~ ->lsindex
    BEOS:APP_SIG
    MAIL:account
    MAIL:cc
    MAIL:chain
    MAIL:draft
    MAIL:flags
    MAIL:from
    MAIL:name
    MAIL:pending_chain
    MAIL:priority
    MAIL:reply
    MAIL:status
    MAIL:subject
    MAIL:thread
    MAIL:to
    MAIL:when
    META:address
    META:city
    META:company
    META:country
    META:email
    META:fax
    META:group
    META:hphone
    META:name
    META:nickname
    META:state
    META:url
    META:wphone
    META:zip
    _signature
    _status
    _trk/qrylastchange
    _trk/recentQuery
    be:deskbar_item_status
    last_modified
    name
    size

- mkindex - Lisää attribuutin taltion/osion indeksiin.

    Käyttö: mkindex [valitsimet] <attribuutti>
    Luo uuden indeksin määrätylle attribuutille.

      -d, --volume=POLKU    polku taltioon, johon indeksi lisätään,
                            oletuksena nykyinen taltio.
      -t, --type=TYYPPI      indeksoitavan attribuutin tyyppi.  Yksi seuraavista: "int",
                            "llong", "string", "float", tai "double".
                            Oletus on "string".
          --copy-from       polku taltioon, josta indeksit kopioidaan.
      -v, --verbose         tulosta tiedot luodusta indeksistä

Vain uudet tiedostot, joilla on attribuutti, indekstoidaan automaattisesti!
Olemassa olevat tiedostot on lisättävä manuaalisesti kopioimalla ne ja poistamalla alkuperäiset sen jälkeen. Vaihtoehtoisesti voit käyttää komentoa reindex.

- reindex - Laittaa olemassa olevien tiedostojen attribuutit vasta luotuun taltion/osion indeksiin.

    Käyttö: reindex [-rvf] attr <tiedostonimien ja/tai hakemistojen luettelo>
      -r    liiku hakemistoista rekursiivisesti
      -v    tulosta laveasti
      -f    luo/päivittää kaikki indeksit lähdetaltiosta,
            "attr" on polku lähdetaltioon

- rmindex - Poistaa attribuutin taltion/osion indeksistä.

    Käyttö: rmindex [VALITSIN]... INDEKSI_NIMI

    Poistaa indeksin nimeltään INDEKSI_NIMI levytaltiosta.  Heti kun tämä on tehty, ei ole enää mahdollista käyttää kyselyjärjestelmää tiedostojen
    etsimiseen INDEKSI_NIMI-attribuutilla.

      -d, --volume=POLKU    polku taltioon, josta indeksi
                             poistetaan
      -h, --help            näytä opaste ja poistu
      -p, --pattern         INDEKSI_NIMI on malli
      -v, --verbose         tulosta tiedot poistettavasta indeksistä

    INDEKSI_NIMI on tiedostoattribuutin nimi.

    Jos taltiota ei ole määritelty, otaksutaan taltio, jossa nykyinen hakemisto sijaitsee.